Click or drag to resize

SweepTwoRailPerformSweep Method (Curve, Curve, IEnumerableCurve, IEnumerableDouble, IEnumerableDouble)

[Missing <summary> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Collections.Generic.IEnumerable{System.Double},System.Collections.Generic.IEnumerable{System.Double})"]

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public Brep[] PerformSweep(
	Curve rail1,
	Curve rail2,
	IEnumerable<Curve> crossSections,
	IEnumerable<double> crossSectionParameters1,
	IEnumerable<double> crossSectionParameters2
)

Parameters

rail1
Type: Rhino.GeometryCurve

[Missing <param name="rail1"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Collections.Generic.IEnumerable{System.Double},System.Collections.Generic.IEnumerable{System.Double})"]

rail2
Type: Rhino.GeometryCurve

[Missing <param name="rail2"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Collections.Generic.IEnumerable{System.Double},System.Collections.Generic.IEnumerable{System.Double})"]

crossSections
Type: System.Collections.GenericIEnumerableCurve

[Missing <param name="crossSections"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Collections.Generic.IEnumerable{System.Double},System.Collections.Generic.IEnumerable{System.Double})"]

crossSectionParameters1
Type: System.Collections.GenericIEnumerableDouble

[Missing <param name="crossSectionParameters1"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Collections.Generic.IEnumerable{System.Double},System.Collections.Generic.IEnumerable{System.Double})"]

crossSectionParameters2
Type: System.Collections.GenericIEnumerableDouble

[Missing <param name="crossSectionParameters2"/> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Collections.Generic.IEnumerable{System.Double},System.Collections.Generic.IEnumerable{System.Double})"]

Return Value

Type: Brep

[Missing <returns> documentation for "M:Rhino.Geometry.SweepTwoRail.PerformSweep(Rhino.Geometry.Curve,Rhino.Geometry.Curve,System.Collections.Generic.IEnumerable{Rhino.Geometry.Curve},System.Collections.Generic.IEnumerable{System.Double},System.Collections.Generic.IEnumerable{System.Double})"]

Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.8
See Also